View Issue Details

IDProjectCategoryView StatusLast Update
0001072CaseTalk ModelerGeneration (SQL, XML, etc)public2016-10-04 10:52
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFutureFixed in Version8.14 
Summary0001072: Support Denodo Data Virtualization scripts
DescriptionDenodo is a data virtualization environment. It is entirely scriptable, supports various levels of (abstract or interface) views to map source data to, and to extract business views from. It would be a great asset to have support by CaseTalk to generate a proper layer of views in this tool and data virtualization architecture.
Additional Informationhttp://www.denodo.com/
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2016-09-28 14:15

administrator   ~0000647

In Denodo, an interface is a special type of view that consist only of a definition of fields and its data types. The most common usage is in a top-down design where you first define the fields and later associate the implementation(data) of the interface.

https://community.denodo.com/tutorials/browse/dataservices/0interfaces
BCP Software

BCP Software

2016-10-04 10:52

administrator   ~0000659

Added population examples through implementation views. The interface views will refer to these for implementation. That way the interface views are populated immediately without hooking up the source databases.

# IMPLEMENTATION VIEWS

CREATE OR REPLACE VIEW c_Allocation (
  FOLDER '/CaseTalk/Student-Project-El_GLR/Implementation'
  DESCRIPTION = '"Student <first name> <surname> was allocated project <project code>."'
  PRIMARY KEY(first_name, surname)
  AS
  SELECT
    'Peter' AS first_name,
    'Johnson' AS surname,
    'P101' AS Project
    FROM DUAL()
  UNION
  SELECT
    'John' AS first_name,
    'Hartman' AS surname,
    'P203' AS Project
    FROM DUAL();

Issue History

Date Modified Username Field Change
2016-09-26 09:01 BCP Software New Issue
2016-09-26 09:01 BCP Software Status new => assigned
2016-09-26 09:01 BCP Software Assigned To => BCP Software
2016-09-26 09:03 BCP Software Additional Information Updated View Revisions
2016-09-28 14:15 BCP Software Note Added: 0000647
2016-09-28 15:44 BCP Software Status assigned => resolved
2016-09-28 15:44 BCP Software Resolution open => fixed
2016-09-28 15:44 BCP Software Fixed in Version => 8.14
2016-10-04 10:52 BCP Software Note Added: 0000659